# PetscObjectRegisterDestroyAll

Frees all the PETSc objects that have been registered with PetscObjectRegisterDestroy(). Called by PetscFinalize()

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscObjectRegisterDestroyAll(void)

Collective on individual PetscObjects

### See Also

PetscObjectRegisterDestroy()

Level:developer
Location: src/sys/objects/destroy.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages